Update search criteria records

PUT /indexer/v1/criteria

Operation id: updateIndexerCriteria

Tags: IndexerCriteria

Security

  • AuthTokenHeader (apiKey)
    • Session authentication token validated server-side against the user session store.

Responses

200 — Success — {status: OK, message: "..."}

Content type: application/json

400 — Invalid or missing request parameter

Content type: application/json

401 — Invalid or missing X-reflexis-csrf-token-X (HTTP 401)

Content type: application/json

500 — Unexpected server-side error

Content type: application/json

Request body

Required: Yes

application/json

Schema

PropertyTypeRequiredDescription
application_idstringYesApplication identifier (e.g. 100)
source_idstringYesSource identifier (e.g. MYWORK, DOCS)
criteria_recordsarrayYesCriteria rows to add, update, or delete
{
  "type": "object",
  "required": [
    "application_id",
    "source_id",
    "criteria_records"
  ],
  "properties": {
    "application_id": {
      "type": "string",
      "description": "Application identifier (e.g. `100`)"
    },
    "source_id": {
      "type": "string",
      "description": "Source identifier (e.g. `MYWORK`, `DOCS`)"
    },
    "criteria_records": {
      "type": "array",
      "description": "Criteria rows to add, update, or delete",
      "items": {
        "type": "object"
      }
    }
  }
}

Response models

200 — Success — {status: OK, message: "..."}

Content type: application/json

Schema

JSON object (structure varies by endpoint). Field names are snake_case in responses.

{
  "type": "object",
  "description": "JSON object (structure varies by endpoint). Field names are snake_case in responses."
}

400 — Invalid or missing request parameter

Content type: application/json

Schema

PropertyTypeRequiredDescription
statusstringYes
api_error_codestringYesApplication-level error code (e.g. E504, E515, E539)
responsestringYesHuman-readable error message
{
  "type": "object",
  "example": {
    "status": "ER",
    "api_error_code": "E504",
    "response": "page_type is mandatory"
  },
  "required": [
    "status",
    "api_error_code",
    "response"
  ],
  "properties": {
    "status": {
      "type": "string",
      "enum": [
        "ER"
      ]
    },
    "api_error_code": {
      "type": "string",
      "description": "Application-level error code (e.g. E504, E515, E539)"
    },
    "response": {
      "type": "string",
      "description": "Human-readable error message"
    }
  }
}

401 — Invalid or missing X-reflexis-csrf-token-X (HTTP 401)

Content type: application/json

Schema

PropertyTypeRequiredDescription
statusstringYes
api_error_codestringYesApplication-level error code (e.g. E504, E515, E539)
responsestringYesHuman-readable error message
{
  "type": "object",
  "example": {
    "status": "ER",
    "api_error_code": "E504",
    "response": "page_type is mandatory"
  },
  "required": [
    "status",
    "api_error_code",
    "response"
  ],
  "properties": {
    "status": {
      "type": "string",
      "enum": [
        "ER"
      ]
    },
    "api_error_code": {
      "type": "string",
      "description": "Application-level error code (e.g. E504, E515, E539)"
    },
    "response": {
      "type": "string",
      "description": "Human-readable error message"
    }
  }
}

Example:

{
  "status": "ER",
  "api_error_code": "E202",
  "response": "User session is invalid"
}

500 — Unexpected server-side error

Content type: application/json

Schema

PropertyTypeRequiredDescription
statusstringYes
api_error_codestringYesApplication-level error code (e.g. E504, E515, E539)
responsestringYesHuman-readable error message
{
  "type": "object",
  "example": {
    "status": "ER",
    "api_error_code": "E504",
    "response": "page_type is mandatory"
  },
  "required": [
    "status",
    "api_error_code",
    "response"
  ],
  "properties": {
    "status": {
      "type": "string",
      "enum": [
        "ER"
      ]
    },
    "api_error_code": {
      "type": "string",
      "description": "Application-level error code (e.g. E504, E515, E539)"
    },
    "response": {
      "type": "string",
      "description": "Human-readable error message"
    }
  }
}

Example:

{
  "status": "ER",
  "api_error_code": "E500",
  "response": "Internal server error"
}